package com.heyu.api.data.service.impl.bank;
/**
* <p>
* 银行卡号校验记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.bank.BankCardDataDao;
import com.heyu.api.data.entity.bank.BankCardDataEntity;
import com.heyu.api.data.service.bank.BankCardDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class BankCardDataServiceImpl extends ServiceImpl<BankCardDataDao, BankCardDataEntity> implements BankCardDataService {


    @Autowired
	private BankCardDataDao bankCardDataDao;



	@Override
	public BankCardDataEntity selectBankCardDataById(Long id){
		return bankCardDataDao.selectBankCardDataById(id);
	}



	@Override
	public Long insertBankCardData(BankCardDataEntity bankCardData){
		return bankCardDataDao.insertBankCardData(bankCardData);
	}



	@Override
	public Long insertOrUpdateBankCardData(BankCardDataEntity bankCardData){
		return bankCardDataDao.insertOrUpdateBankCardData(bankCardData);
	}



	@Override
	public int updateBankCardDataById(BankCardDataEntity bankCardData){
		return bankCardDataDao.updateBankCardDataById(bankCardData);
	}



	@Override
	public int updateCoverBankCardDataById(BankCardDataEntity bankCardData){
		return bankCardDataDao.updateCoverBankCardDataById(bankCardData);
	}



	@Override
	public int deleteBankCardDataById(Long id){
		return bankCardDataDao.deleteBankCardDataById(id);
	}



}
